﻿﻿body {
    background-color: #EEEEEE;
}

#body-content {
    margin-top: 0px;
    width: 100%;
    padding: 0%;
    display: block;
}

.nav-control {
    list-style: none;
    width: 100%;
    margin-top: 5px;
}

    .nav-control li {
        color: #fff;
        padding: 5px;
        position: relative;
        width: 100%;
        vertical-align: middle;
        background-color: #000000;
        cursor: pointer;
        -moz-transition: all 0.3s;
        -o-transition: all 0.3s;
        -webkit-transition: all 0.3s;
        transition: all 0.3s;
    }

        .nav-control li a {
            text-decoration: none;
            color: #ffffff;
            font: 500 18px Roboto,sans-serif;
            width: initial;
            display: inline-block;
        }

#top-nav {
    width: 100%;
    position: fixed;
    z-index: 30;
    padding: 0px 0% 0% 0px;
    float: left;
    background-color: #0E0E00;
    color: white;
    height: 45px;
}

    #top-nav div {
        float: left;
    }

.top-nav-content {
    width: 185px;
    float: left
}


.active-nav {
    opacity: 1 !important;
    display: block !important;
    position: relative;
}

.user-content {
    float: right !important;
    margin: 12px
}

.nav-content {
    width: 185px;
    float: left;
    position: fixed;
    height: 92.5%;
    background-color: #E0E0E0;
    box-shadow: 0 0 5px 0 rgba(0,0,0,0.35);
    z-index: 1024;
    top: 47px;
}

.item-text {
    display: inline-block;
}

#side-nav {
    width: 100%;
    height: 101%;
}

    #side-nav ul {
        list-style: none;
        margin-left: -40px;
    }

        #side-nav ul li {
            color: #fff;
            padding: 15px;
            position: relative;
            width: 100%;
            vertical-align: middle;
            background-color: #000000;
            cursor: pointer;
            border-bottom: 2px solid red;
            -moz-transition: all 0.3s;
            -o-transition: all 0.3s;
            -webkit-transition: all 0.3s;
            transition: all 0.3s;
        }

            #side-nav ul li:hover {
                background-color: rgba(0,0,0,0.35);
            }

        #side-nav ul ul {
            animation: navsub ease 1s;
            opacity: 0;
            position: relative;
            display: none;
            left: 5%;
            width: 100%;
            top: -1%;
            box-shadow: 0 0 0px 0 rgba(0,0,0,0.35);
            border-right: 1px solid #cbcbcb;
        }


@keyframes navsub {
    25% {
        opacity: 0.4;
    }

    50% {
        opacity: 0.8;
    }

    100% {
        opacity: 1;
    }
}

#side-nav ul ul li {
    border: 1px solid #cbcbcb;
    left: -5px;
    line-height: 0px;
    text-align: center;
}

    #side-nav ul ul li a {
        margin-left: -5px;
        font-size: 12px;
        text-align: center;
    }

/*#side-nav ul li:hover > ul{
    opacity:1;
    display:block;
    position:relative;
}*/

#side-nav ul li a {
    text-decoration: none;
    color: #ffffff;
    font: 500 14px Roboto,sans-serif;
    width: initial;
    display: inline-block;
}

    #side-nav ul li a:hover {
        color: #cbcbcb;
    }


/* page content style */

.control-content-header {
}

#page-content {
    width: 100%;
    float: left;
    padding: 0px 0% 0% 200px;
    margin-top: 45px;
}

.job-component {
    padding: 2px 15px;
    margin: 1px auto;
    width: 100%;
    background-color: #FFFFFF;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.12), 0 1px 5px 0 rgba(0, 0, 0, 0.2);
    margin-bottom: 15px;
}


/** side nave control */

.nav-toggle {
    width: 70px;
}

.show-item-text {
    display: none;
}

.hide-item-text {
    display: none;
}

.page-content-padding {
    padding: 5px 0% 5% 70px;
}

#body-content.nav-toggle .nav-content {
    width: 70px;
    -moz-transition: all 1s;
    -o-transition: all 1s;
    -webkit-transition: all 1s;
    transition: all 1s;
}

#body-content.nav-toggle #top-nav .top-nav-content {
    width: 70px;
    -moz-transition: all 1s;
    -o-transition: all 1s;
    -webkit-transition: all 1s;
    transition: all 1s;
}


@keyframes nav-expland {
    0% {
        width: 185px;
    }

    50% {
        width: 100px;
    }

    100% {
        width: 70px;
    }
}

#body-content.show-item-text .item-text {
    display: block;
}

#body-content.page-content-padding #page-content {
    padding: 5px 0% 5% 70px;
    -moz-transition: all 1s;
    -o-transition: all 1s;
    -webkit-transition: all 1s;
    transition: all 1s;
}



@keyframes page-expland {
    0% {
        padding: 5px 0% 5% 185px;
    }

    50% {
        padding: 5px 0% 5% 100px;
    }

    100% {
        padding: 5px 0% 5% 70px;
    }
}
